#
# spec file for package rubygem-rack (Version 0.9.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define mod_name rack
#

Name:           rubygem-rack
Version:        1.0.0
Release:        2.1
#
Group:          Development/Languages/Ruby
License:        MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
Requires:       rubygems >= 0.9
#
Url:            http://rack.rubyforge.org/
#               http://rubyforge.org/projects/rack
Source:         http://rubyforge.org/frs/download.php/55681/rack-1.0.0.gem
#
Summary:        Minimal interface between webservers supporting Ruby and Ruby frameworks

%description
Rack provides minimal, modular and adaptable interface for developing web
applications in Ruby.  By wrapping HTTP requests and responses in the simplest
way possible, it unifies and distills the API for web servers, web frameworks,
and software in between (the so-called middleware) into a single method call.


Authors:
--------
    Christian Neukirchen <chneukirchen@gmail.com>
    Christoffer Sawicki <christoffer.sawicki@gmail.com>
    Tim Fletcher <twoggle@gmail.com>
    Luc Heinrich <luc@honk-honk.com>
    Armin Ronacher


%prep

%build

%install
gem install --local --build-root=%{buildroot} %{S:0}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/rackup
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name}-%{version}.gemspec
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name}-%{version}/

%changelog
* Fri Aug  7 2009 dmacvicar@novell.com
- update to version 1.0.0
  * Rack::VERSION has been pushed to [1,0].
  * Header values must be Strings now, split on "\n".
  * rack.input must be rewindable and support reading into a buffer,
  wrap with Rack::RewindableInput if it isn't.
  * Content-Length can be missing, in this case chunked transfer
  encoding is used.
  * Bodies can now additionally respond to #to_path with a filename to
  be served.
  * String bodies are deprecated and will not work with Ruby 1.9, use an
  Array with a single String instead.
  * rack.session is now specified.
  * Use Rack::Lint to find out in which ways this possibly broke your
  applications and middleware.
  * SPEC changes, see above.
  * New middleware Rack::Lock.
  * New middleware Rack::ContentType.
  * Rack::Reloader has been rewritten.
  * Major update to Rack::Auth::OpenID.
  * Support for nested parameter parsing in Rack::Response.
  * Support for redirects in Rack::Response.
  * HttpOnly cookie support in Rack::Response.
  * The Rakefile has been rewritten.
  * Many bugfixes and small improvements.
* Mon Jan 12 2009 mrueckert@suse.de
- update to version 0.9.1
  * Fix directory traversal exploits in Rack::File and
    Rack::Directory.
- additional changes from 0.9.0
  * Rack is now managed by the Rack Core Team.
  * Rack::Lint is stricter and follows the HTTP RFCs more closely.
  * Added ConditionalGet middleware.
  * Added ContentLength middleware.
  * Added Deflater middleware.
  * Added Head middleware.
  * Added MethodOverride middleware.
  * Rack::Mime now provides popular MIME-types and their extension.
  * Mongrel Header now streams.
  * Added Thin handler.
  * Official support for swiftiplied Mongrel.
  * Secure cookies.
  * Made HeaderHash case-preserving.
  * Many bugfixes and small improvements.
* Mon Aug 25 2008 mrueckert@suse.de
- update to version 0.4.0:
  * New middleware, Rack::Deflater, by Christoffer Sawicki.
  * OpenID authentication now needs ruby-openid 2.
  * New Memcache sessions, by blink.
  * Explicit EventedMongrel handler, by Joshua Peek.
  * Rack::Reloader is not loaded in rackup development mode.
  * rackup can daemonize with -D.
  * Many bugfixes, especially for pool sessions, URLMap, thread
    safety and tempfile handling.
  * Improved tests.
  * Rack moved to Git.
* Tue Feb 26 2008 mrueckert@suse.de
- update to version 0.3.0:
  * LiteSpeed handler, by Adrian Madrid.
  * SCGI handler, by Jeremy Evans.
  * Pool sessions, by blink.
  * OpenID authentication, by blink.
  * :Port and :File options for opening FastCGI sockets, by blink.
  * Last-Modified HTTP header for Rack::File, by blink.
  * Rack::Builder#use now accepts blocks, by Corey Jewett.
    (See example/protectedlobster.ru)
  * HTTP status 201 can contain a Content-Type and a body now.
  * Many bugfixes, especially related to Cookie handling.
* Wed Jun  6 2007 mrueckert@suse.de
- initial package of version 0.2.0
